package menu

import (
	"errors"
	"wechat-conf/models/menu"
	"wechat-conf/models/model"
	"wechat-conf/utils"
)

// MenuServ 用户
type MenuServ struct {
	ctx *utils.Context
	dao *menu.MenuDAO
}

// NewMenuServ 初始化
func NewMenuServ(ctx *utils.Context) *MenuServ {
	return &MenuServ{
		ctx: ctx,
		dao: menu.NewMenuDAO(ctx),
	}
}

func (s *MenuServ) GetUserMenu(userType string) ([]model.SysMenu, error) {
	menu, err := s.dao.GetUserMenu(userType)
	if err != nil {
		utils.LogError("获取菜單失败: " + err.Error())
		return nil, errors.New("获取菜單失败")
	}
	return menu, nil
}
