package wechatmenu

import (
	"errors"
	"wechat-conf/models/wechatmenu"
	"wechat-conf/utils"
)

// WechatmenuServ 用户
type WechatmenuServ struct {
	ctx *utils.Context
	dao *wechatmenu.WechatMenuDAO
}

// NewWechatmenuServ 初始化
func NewWechatmenuServ(ctx *utils.Context) *WechatmenuServ {
	return &WechatmenuServ{
		ctx: ctx,
		dao: wechatmenu.NewWechatMenuDAO(ctx),
	}
}

func (s *WechatmenuServ) UpdateWechatMenu(wechatMenu, orgId string) error {
	err := s.dao.UpdateWechatMenu(wechatMenu, orgId)
	if err != nil {
		utils.LogError("更新菜单失败: " + err.Error())
		return errors.New("更新菜单失败")
	}
	return nil
}
